Subject: bug#6774: Cut and paste with C-w/mouse-2 not working?

From: Chong Yidong <[email-masked]>
Date: Fri, 06 Aug 2010 11:28:53 -0400

David De La Harpe Golden <[email-masked]> writes:

> Well, complexity mostly arose from doing it while preserving vestiges
> of the existing lazy approach. Yes, the laziness seemed elegant, but
> I'm concerned it's a dead end - it may be easier to get everything
> right by starting out by setting the selection to a string when we
> want it set to something new, and not setting it when we don't
> (thereby preventing the select_window problems by not doing anything).

Before discussing the underlying mechanics, let's figure out what the
end result should be.  The main question in my mind is this: for active
regions made with C-SPC, as opposed to shift-selection or mouse
dragging, do we want mere cursor motion to update the selection?  (There
is nothing analogous in other programs.)

I think the best answer is no.